# Enum Class TransformedRootedTree.Transform

java.lang.Object
java.lang.Enum<TransformedRootedTree.Transform>
jebl.evolution.trees.TransformedRootedTree.Transform

All Implemented Interfaces:
  `Serializable, Comparable<TransformedRootedTree.Transform>, Constable`

Enclosing class:
  `TransformedRootedTree`

public static enum TransformedRootedTree.Transform extends Enum<TransformedRootedTree.Transform>

Version:
  $Id: TransformedRootedTree.java 545 2006-11-28 00:08:34Z twobeers $
Author:
  Andrew Rambaut

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLADOGRAM`
`EQUAL_LENGTHS`
`PROPORTIONAL`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static TransformedRootedTree.Transform`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TransformedRootedTree.Transform[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EQUAL_LENGTHS

public static final TransformedRootedTree.Transform EQUAL_LENGTHS

### CLADOGRAM

public static final TransformedRootedTree.Transform CLADOGRAM

### PROPORTIONAL

public static final TransformedRootedTree.Transform PROPORTIONAL

## Method Details

### values

public static TransformedRootedTree.Transform[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TransformedRootedTree.Transform valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<TransformedRootedTree.Transform>`